Apache JMeter

## org.apache.jmeter.util
Class SlowSocket

    java.lang.Object
      java.net.Socket
          org.apache.jmeter.util.SlowSocket

    public class SlowSocket

extends Socket

"Slow" (non-SSL) socket implementation to emulate dial-up modems etc

Constructor Summary
`SlowSocket(int cps)` Added for use by SlowHC4SocketFactory.
`SlowSocket(int cps, String host, int port)`
`SlowSocket(int cps, String host, int port, InetAddress localAddr, int localPort)`
`SlowSocket(int cps, String host, int port, InetAddress localAddress, int localPort, int timeout)`

Method Summary
`InputStream` `getInputStream()`
`OutputStream` `getOutputStream()`

Methods inherited from class java.net.Socket

`bind, close, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlowSocket

    public SlowSocket(int cps,
                      String host,
                      int port,
                      InetAddress localAddress,
                      int localPort,
                      int timeout)
               throws IOException

Throws:
  `IOException`

### SlowSocket

    public SlowSocket(int cps,
                      String host,
                      int port,
                      InetAddress localAddr,
                      int localPort)
               throws IOException

Parameters:
  `cps` - characters per second
  `host` - hostname
  `port` - port
  `localAddr` - local address
  `localPort` - local port
Throws:
  `IOException`
  `IllegalArgumentException` - if cps <=0

### SlowSocket

    public SlowSocket(int cps,
                      String host,
                      int port)
               throws UnknownHostException,
                      IOException

Parameters:
  `cps` - characters per second
  `host` - hostname
  `port` - port
Throws:
  `UnknownHostException`
  `IOException`
  `IllegalArgumentException` - if cps <=0

### SlowSocket

    public SlowSocket(int cps)

  Added for use by SlowHC4SocketFactory.

  Parameters:
    `cps` -

Method Detail

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Overrides:
    `getOutputStream` in class `Socket`
  Throws:
    `IOException`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Overrides:
    `getInputStream` in class `Socket`
  Throws:
    `IOException`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.